Error while installing MongoDB Hadoop Driver

I use Apache Hadoop 1.0.3 and I also install mongoDB. I also install SBT but when I install mongoDB Hadoop driver then it gives me following error:

[root@linux ~]# cd /var/www/htdocs/hadoop/mongo-hadoop/
[root@linux mongo-hadoop]# sbt package
[info] Loading project definition from /var/www/htdocs/hadoop/mongo-hadoop/project
[info] Updating {file:/var/www/htdocs/hadoop/mongo-hadoop/project/}default-a7139c...
[info] Resolving com.eed3si9n#sbt-assembly;0.7.3 ...
[warn]  module not found: com.eed3si9n#sbt-assembly;0.7.3
[warn] ==== typesafe-ivy-releases: tried
[warn]   http://repo.typesafe.com/typesafe/ivy-releases/com.eed3si9n/sbt-assembly/scala_2.9.1/sbt_0.11.3/0.7.3/ivys/ivy.xml
[warn] ==== local: tried
[warn]   /root/.ivy2/local/com.eed3si9n/sbt-assembly/scala_2.9.1/sbt_0.11.3/0.7.3/ivys/ivy.xml
[warn] ==== sbt-plugin-releases: tried
[warn]   http://scalasbt.artifactoryonline.com/scalasbt/sbt-plugin-releases/com.eed3si9n/sbt-assembly/scala_2.9.1/sbt_0.11.3/0.7.3/ivys/ivy.xml
[warn] ==== public: tried
[warn]   http://repo1.maven.org/maven2/com/eed3si9n/sbt-assembly_2.9.1_0.11.3/0.7.3/sbt-assembly-0.7.3.pom
[info] Resolving net.virtual-void#sbt-dependency-graph;0.5.2 ...
[info] Resolving org.scala-sbt#sbt_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#main_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#actions_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#classfile_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#io_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#control_2.9.1;0.11.3 ...
[info] Resolving org.scala-lang#scala-library;2.9.1 ...
[info] Resolving org.scala-sbt#interface;0.11.3 ...
[info] Resolving org.scala-sbt#logging_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#process_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#classpath_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#launcher-interface_2.9.1;0.11.3 ...
[info] Resolving org.scala-lang#scala-compiler;2.9.1 ...
[info] Resolving org.scala-sbt#incremental-compiler_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#collections_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#api_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#persist_2.9.1;0.11.3 ...
[info] Resolving org.scala-tools.sbinary#sbinary_2.9.0;0.4.0 ...
[info] Resolving org.scala-sbt#compile_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#ivy_2.9.1;0.11.3 ...
[info] Resolving org.apache.ivy#ivy;2.2.0 ...
[info] Resolving com.jcraft#jsch;0.1.46 ...
[info] Resolving commons-httpclient#commons-httpclient;3.1 ...
[info] Resolving commons-logging#commons-logging;1.0.4 ...
[info] Resolving commons-codec#commons-codec;1.2 ...
[info] Resolving org.scala-sbt#completion_2.9.1;0.11.3 ...
[info] Resolving jline#jline;0.9.94 ...
[info] Resolving org.scala-sbt#run_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#task-system_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#tasks_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#tracking_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#cache_2.9.1;0.11.3 ...
[info] Resolving org.scala-sbt#testing_2.9.1;0.11.3 ...
[info] Resolving org.scala-tools.testing#test-interface;0.5 ...
[info] Resolving org.scala-sbt#compiler-interface;0.11.3 ...
[info] Resolving org.scala-sbt#precompiled-2_8_2;0.11.3 ...
[info] Resolving org.scala-sbt#precompiled-2_8_1;0.11.3 ...
[info] Resolving org.scala-sbt#precompiled-2_9_2;0.11.3 ...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: com.eed3si9n#sbt-assembly;0.7.3: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]
[warn]  Note: Some unresolved dependencies have extra attributes.  Check that these dependencies exist with the requested attributes.
[warn]          com.eed3si9n:sbt-assembly:0.7.3 (sbtVersion=0.11.3, scalaVersion=2.9.1)
[warn]
[error] {file:/var/www/htdocs/hadoop/mongo-hadoop/project/}default-a7139c/*:update: sbt.ResolveException: unresolved dependency: com.eed3si9n#sbt-assembly;0.7.3: not found
Project loading failed: (r)etry, (q)uit, (l)ast, or (i)gnore?

I tried also to install sbt-assembly but it give me a dependency error.

Answers


I've answered this on the MongoDB Google Group also but here it is again.

I was able to reproduce your problem running Ubuntu 12:04, x64.

From the output, the error is due to being unable to find sbt-assembly07.3. AFAIK, the current version of the sbt-assembly plugin is 0.8.1, whilst in (your case) the /var/www/htdocs/hadoop/mongo-hadoop/projects/plugins.sbt file that it's configured to look for is 0.7.3.

I modified my equivalent plugins.sbt file to look like

addSbtPlugin("com.eed3si9n" % "sbt-assembly" % "0.8.1")

and the mongo-hadoop driver will then install successfully (though it does take a while -> "[success] Total time: 849 s, completed 15-Jun-2012 17:10:15" ).

Update: User confirmed on Google Groups that this resolved his issue. There was a later issue (regarding JAR files) that was resolved by following the Quick Start Guide here.


Need Your Help

Browser back button does not move to the previous View

asp.net asp.net-mvc c#-4.0 sharepoint-2010

I am using views concept in my asp.net form control.my first view consist of a form to capture user details.when user press continue it will move to the second view.

Android Application hanging on subscriber.recv()

android sockets zeromq recv jeromq

I am writing an Android application that receives a continuous stream of data.